Skip to main content
POST
/
commerce
/
blanketorders
Error
A valid request URL is required to generate request examples
{
  "attributes": [
    {
      "attributeDefinitionId": 123,
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "fullyQualifiedName": "<string>",
      "values": [
        "<unknown>"
      ]
    }
  ],
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "availableActions": [
    "<string>"
  ],
  "buyerContact": {
    "emailAddress": "jsmith@example.com",
    "firstName": "<string>",
    "lastNameOrSurname": "<string>",
    "phoneNumber": "<string>"
  },
  "canceledReason": {
    "description": "<string>",
    "moreInfo": "<string>",
    "reasonCode": "<string>"
  },
  "cancelledDate": "2023-11-07T05:31:56Z",
  "changeMessages": [
    {
      "amount": 123,
      "appId": "<string>",
      "appKey": "<string>",
      "appName": "<string>",
      "attributes": {},
      "correlationId": "<string>",
      "createDate": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "identifier": "<string>",
      "message": "<string>",
      "metadata": "<unknown>",
      "newValue": "<string>",
      "oldValue": "<string>",
      "subject": "<string>",
      "subjectType": "<string>",
      "success": true,
      "userFirstName": "<string>",
      "userId": "<string>",
      "userLastName": "<string>",
      "userScopeType": "<string>",
      "verb": "<string>"
    }
  ],
  "channelCode": "<string>",
  "currencyCode": "<string>",
  "customerAccountId": 123,
  "data": {},
  "externalId": "<string>",
  "id": "<string>",
  "items": [
    {
      "attributes": [
        {
          "attributeDefinitionId": 123,
          "auditInfo": {
            "createBy": "<string>",
            "createDate": "2023-11-07T05:31:56Z",
            "updateBy": "<string>",
            "updateDate": "2023-11-07T05:31:56Z"
          },
          "fullyQualifiedName": "<string>",
          "values": [
            "<unknown>"
          ]
        }
      ],
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "consumedQuantity": 123,
      "id": "<string>",
      "lineId": 123,
      "product": {
        "name": "<string>",
        "productCode": "<string>"
      },
      "quantity": 123,
      "remainingQuantity": 123,
      "status": "<string>",
      "unitPrice": 123
    }
  ],
  "notes": [
    {
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "text": "<string>"
    }
  ],
  "number": 123,
  "priceListCode": "<string>",
  "sellerContact": {
    "emailAddress": "jsmith@example.com",
    "firstName": "<string>",
    "lastNameOrSurname": "<string>",
    "phoneNumber": "<string>"
  },
  "siteId": 123,
  "status": "<string>",
  "tenantId": 123,
  "userId": "<string>",
  "validityPeriod": {
    "endDate": "2023-11-07T05:31:56Z",
    "startDate": "2023-11-07T05:31:56Z"
  },
  "version": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Body

application/json

Represents a contractual commitment between the seller and a B2B Account to supply goods at predetermined prices and quantities over a specified period.

attributes
object[] | null

Custom attributes at the header level.

auditInfo
object
availableActions
string[] | null

Available lifecycle actions from the current status. Populated on read.

buyerContact
object
canceledReason
object
cancelledDate
string<date-time> | null

Date when the order was cancelled. System-supplied, read-only.

changeMessages
object[] | null

Change messages associated with this Blanket Order. Hydrated from a separate collection.

channelCode
string | null

Channel code for multi-channel context.

currencyCode
string | null

Currency code (default "USD").

customerAccountId
integer<int32> | null
data
object | null

Extensibility data bag for tenant-specific custom data.

externalId
string | null

External reference identifier for integration with external systems.

id
string | null
items
object[] | null

Product commitment Items for this Blanket Order.

notes
object[] | null

Internal notes for merchant use.

number
integer<int32> | null

Auto-generated sequential Blanket Order number. System-supplied, read-only.

priceListCode
string | null

Price list code for pricing context.

sellerContact
object
siteId
integer<int32>
status
string | null

Current status managed by the StatusEngine transition table.

tenantId
integer<int32>
userId
string | null
validityPeriod
object

Represents the validity window for a Blanket Order. Call-off orders can only be placed while the current date is within this period.

version
string | null

Optimistic concurrency token. System-supplied.

Response

OK

Represents a contractual commitment between the seller and a B2B Account to supply goods at predetermined prices and quantities over a specified period.

attributes
object[] | null

Custom attributes at the header level.

auditInfo
object
availableActions
string[] | null

Available lifecycle actions from the current status. Populated on read.

buyerContact
object
canceledReason
object
cancelledDate
string<date-time> | null

Date when the order was cancelled. System-supplied, read-only.

changeMessages
object[] | null

Change messages associated with this Blanket Order. Hydrated from a separate collection.

channelCode
string | null

Channel code for multi-channel context.

currencyCode
string | null

Currency code (default "USD").

customerAccountId
integer<int32> | null
data
object | null

Extensibility data bag for tenant-specific custom data.

externalId
string | null

External reference identifier for integration with external systems.

id
string | null
items
object[] | null

Product commitment Items for this Blanket Order.

notes
object[] | null

Internal notes for merchant use.

number
integer<int32> | null

Auto-generated sequential Blanket Order number. System-supplied, read-only.

priceListCode
string | null

Price list code for pricing context.

sellerContact
object
siteId
integer<int32>
status
string | null

Current status managed by the StatusEngine transition table.

tenantId
integer<int32>
userId
string | null
validityPeriod
object

Represents the validity window for a Blanket Order. Call-off orders can only be placed while the current date is within this period.

version
string | null

Optimistic concurrency token. System-supplied.